add provision method from a plugin

11/27/2015 09:38 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Plugin integration   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2945

  

Description

It is difficult to add a provision method from a plugin because the list of methods is hard coded.

A better solution would be to have an interface to add a provison method from a plugin.

In addition the

Related issues:

Related to Hammer CLI - Bug #14841: There is no option to specify bootdisk-ba... Closed

Blocks Foreman - Feature #10926: As a user, I would like the option to boot o... New 06/24/2015

Associated revisions

Revision 51685ba8 - 12/07/2015 10:51 AM - Timo Goebel

fixes #12624 - add plugin interface to add provision methods

History

#1 - 11/27/2015 09:40 AM - Timo Goebel

- Blocks Feature #10926: As a user, I would like the option to boot off CD rather than network/image via compute resources (vmware) added

#2 - 11/30/2015 09:51 AM - Timo Goebel

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/2945 added

#3 - 12/07/2015 10:50 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 12/07/2015 11:05 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 51685ba80898aa6835a2396c14c02d8af52aec13.

#5 - 04/27/2016 03:16 AM - Dominic Cleal

- Related to Bug #14841: There is no option to specify bootdisk-based provisioning using hammer added
